Introduction to libvpx

This package, from the WebM project, provides the reference implementations of the VP8 Codec, used in most current html5 video, and of the next-generation VP9 Codec.

This package is known to build and work properly using an LFS-7.8 platform.

Package Information

libvpx Dependencies


yasm-1.3.0 (compiling with NASM-2.11.08 is currently broken) and Which-2.21 (so configure can find yasm)


Doxygen-1.8.10 and PHP-5.6.15 (to build the documentation).

User Notes:

Installation of libvpx

Install libvpx by running the following commands:

sed -i 's/cp -p/cp/' build/make/Makefile &&

mkdir libvpx-build            &&
cd    libvpx-build            &&

../configure --prefix=/usr    \
             --enable-shared  \
             --disable-static &&

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

sed ... : This command corrects ownership and permissions of installed files.

mkdir libvpx-build && cd libvpx-build: The libvpx developers recommend building in a dedicated build directory.

--disable-vp8: This switch prevents building of VP8 codec support.

--disable-vp9: This switch prevents building of VP9 codec support.

--disable-static: This switch prevents building of static versions of libraries.


Installed Programs: vpxdec and vpxenc
Installed Libraries:
Installed Directories: /usr/include/vpx

Short Descriptions


is the WebM Project VP8 and VP9 decoder.


is the WebM project VP8 and VP9 encoder.

provides functions to use the VP8 and VP9 video codecs.

Last updated on 2015-11-11 19:35:07 -0600